#!/usr/bin/env python
# coding: utf-8

# ### Import the plot creator

# In[1]:


# Set up the path to SModelS installation folder
import sys,os
sys.path.append(".")
import smodels_paths
from smodels.tools.interactivePlots import makePlots
import smodels


# ### Define the input folders, the parameters file and where to store the plots

# In[3]:


smodelsOutput = 'inputFiles/scanExample/smodels-output'
slhaFiles = 'inputFiles/scanExample/slha'
parameters = './iplots_parameters.py'
outputFolder = './'
npoints = -1 #If negative will use all the points in the folders


# ### Create plots

# In[4]:


plotsOutput = makePlots(smodelsOutput,slhaFiles,outputFolder,parameters,npoints,verbosity='info')


# ### Display the output

# In[5]:


from IPython.core.display import display,HTML


# In[6]:


#Main page (to open the plots go to the plots output folder and open them with the browser)
mainFile = open(plotsOutput + '/index.html','r')
display(HTML(mainFile.read()))
mainFile.close()


# In[2]:


os.getcwd()


# In[ ]:




